Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::LinearMinificationFilter Class Reference

線形縮小フィルタ More...

`#include <LinearMinificationFilter.h>`

List of all members.

## Static Public Member Functions
DimensionI | getNextSize (const DimensionI &nowSize)
| 次のサイズ取得
void | filter (const Color3c *source, const DimensionI &sourceSize, Color3c *destination, const DimensionI destinationSize)
| フィルタ
void | filter (const Color4c *source, const DimensionI &sourceSize, Color4c *destination, const DimensionI destinationSize)
| フィルタ

## Detailed Description

線形縮小フィルタ

Definition at line 34 of file LinearMinificationFilter.h.

## Member Function Documentation

void Lamp::LinearMinificationFilter::filter | ( | const Color4c * | source,
|  | const DimensionI & | sourceSize,
|  | Color4c * | destination,
|  | const DimensionI | destinationSize
| ) | `[static]`

  | フィルタ Parameters:
  source | ソースイメージ
  sourceSize | ソースイメージサイズ
  destination | デスティネーションイメージ
  destinationSize | デスティネーションイメージサイズ
Definition at line 75 of file LinearMinificationFilter.cpp. References Lamp::Color4c::a, Assert, Lamp::Color4c::b, Lamp::Color4c::g, Lamp::DimensionI::height, NULL, Lamp::Color4c::r, Lamp::Color4c::set(), and Lamp::DimensionI::width.

void Lamp::LinearMinificationFilter::filter | ( | const Color3c * | source,
|  | const DimensionI & | sourceSize,
|  | Color3c * | destination,
|  | const DimensionI | destinationSize
| ) | `[static]`

  | フィルタ Parameters:
  source | ソースイメージ
  sourceSize | ソースイメージサイズ
  destination | デスティネーションイメージ
  destinationSize | デスティネーションイメージサイズ
Definition at line 32 of file LinearMinificationFilter.cpp. References Assert, Lamp::Color3c::b, Lamp::Color3c::g, Lamp::DimensionI::height, NULL, Lamp::Color3c::r, Lamp::Color3c::set(), and Lamp::DimensionI::width.

DimensionI Lamp::LinearMinificationFilter::getNextSize | ( | const DimensionI & | nowSize | ) | `[inline, static]`

  | 次のサイズ取得 Parameters:
  nowSize | 現在のサイズ
Returns: 次のサイズ Definition at line 41 of file LinearMinificationFilter.h. References Assert, Lamp::DimensionI::height, and Lamp::DimensionI::width.

The documentation for this class was generated from the following files:

- LinearMinificationFilter.h
- LinearMinificationFilter.cpp